--- title: "exportBackupToObjectStorage" slug: "database-vcache-exportbackuptoobjectstorage" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vcache-exportbackuptoobjectstorage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # exportBackupToObjectStorage Available in VPC Send Cloud DB for Cache backup files to Object Storage. To send backup files to Object Storage, Object Storage buckets for storing and searching backup files must be created in advance. For more information, see the [Object Storage Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). ## exportBackupToObjectStorage API This section describes the request and response formats for the exportBackupToObjectStorage API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /exportBackupToObjectStorage | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance whose backup files you want to send to Object Storage - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `fileName` | String | Required | Backup file name - See [getCloudCacheBackupDetailList](/docs/en/database-vcache-getcloudcachebackupdetaillist) and [getCloudCacheManualBackupDetailList](/docs/en/database-vcache-getcloudcachemanualbackupdetaillist). | | `bucketName` | String | Required | Name of the Object Storage bucket the backup file will be sent to - [getCloudCacheBucketList](/docs/en/database-vcache-getcloudcachebucketlist) | | `cloudCacheInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `backupTypeMode` | String | Required | Cloud DB for Cache backup type - `SYSTEM` \| `MANUAL` - `SYSTEM`: System backup - `MANUAL`: Manual backup | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/exportBackupToObjectStorage ?regionCode=KR &fileName=2021**** &bucketName=cache-****** &cloudCacheInstanceNo=****821 &backupTypeMode=SYSTEM' --header 'x-ncp-apigw-timestamp: {Timestamp}' --header 'x-ncp-iam-access-key: {Access Key}' --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "exportBackupToObjectStorageResponse": { "requestId": "18fe5b24-2663-4cc7-8a2a-aa0f44c0c46c", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` fb01982a-8107-4a13-ac0d-1720f551cc61 0 success ``` ## exportBackupToObjectStorage API This section describes the request and response formats for the exportBackupToObjectStorage API. ### Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vredis/v2/exportBackupToObjectStorage | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. #### Request headers For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). #### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for Cache instance whose backup files you want to send to Object Storage - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `fileName` | String | Required | Backup file name - See [getCloudCacheBackupDetailList](/docs/en/database-vcache-getcloudcachebackupdetaillist) and [getCloudCacheManualBackupDetailList](/docs/en/database-vcache-getcloudcachemanualbackupdetaillist). | | `bucketName` | String | Required | Name of the Object Storage bucket the backup file will be sent to - [getCloudCacheBucketList](/docs/en/database-vcache-getcloudcachebucketlist) | | `cloudRedisInstanceNo` | String | Required | Cloud DB for Cache instance number - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). | | `backupTypeMode` | String | Required | Cloud DB for Cache backup type - `SYSTEM` \| `MANUAL` - `SYSTEM`: System backup - `MANUAL`: Manual backup | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | #### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/exportBackupToObjectStorage ?regionCode=KR &fileName=20240702 &bucketName=redis-backup &cloudRedisInstanceNo=****511 &backupTypeMode=SYSTEM' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ### Response This section describes the response format. #### Response status codes For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). #### Response example The response example is as follows: - If `responseFormatType=json` ``` { "exportBackupToObjectStorageResponse": { "requestId": "afee84ad-****-****-****-d4b359e85dca", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` afee84ad-****-****-****-d4b359e85dca 0 success ```